% Compare integrals across the different steps (no stim, fixed time, all
% free params).

% All free stim params
% load('output_taGasStimOpt_ipopt_c1v2pt0.mat'); % AP*0.1, smooth stim func
% load('output_taGasStimOpt_ipopt_c1v1pt3.mat'); % AP*0.1, simple stim func
% load('output_taGasStimOpt_ipopt_c1v2pt1.mat'); % AP*1
load('output_taGasStimOpt_ipopt_v4pt0.mat'); % AP*0.1, locked hand loads
freeTimeIntegral = output.result.solution.phase.integral;
freeTimeCost = output.result.objective

% Fixed time, free stim mag
dirOrig = cd;
cd('..\Exp12 TA Gas Stim Fixed Timing');
% load('output_taGasStimFixedTime_ipopt_c1v2pt2.mat'); % AP*0.1, smooth stim func
% load('output_taGasStimFixedTime_ipopt_c1v0pt0.mat'); % AP*0.1, simple stim func
% load('output_taGasStimFixedTime_ipopt_c1v2pt3_1.mat'); % AP*1
load('output_taGasStimFixedTime_ipopt_v4pt0.mat'); % AP*0.1, locked hand loads
fixedTimeIntegral = output.result.solution.phase.integral;
fixedTimeCost = output.result.objective

% No stim
cd('..\Exp 11Symmetry Weighting');
% load('output_symmetryWeighting_ipopt_c1v1pt4.mat'); % AP*0.1
% load('output_symmetryWeighting_ipopt_c1v1pt5.mat'); % AP*1
load('output_symmetryWeighting_ipopt_v4pt0.mat'); % AP*0.1, locked hand loads
noStimIntegral = output.result.solution.phase.integral;
noStimCost = output.result.objective

% Changed synergy weights
cd('..\Exp 13Synergy Weight Change');
load('output_synergyWeightChange_ipopt_v2pt0.mat'); %AP*0.1, locked hand loads
changedWeightIntegral = output.result.solution.phase.integral;
changedWeightCost = output.result.objective


% Calculate and scale different sections of integrals
qError_noStim = sum(noStimIntegral([13,20,21:31]))*1
qError_fixedTime = sum(fixedTimeIntegral([13,20,21:31]))*1
qError_freeTime = sum(freeTimeIntegral([13,20,21:31]))*1
qError_changedWeight = sum(changedWeightIntegral([13,20,21:31]))*1

neuralComdError_noStim = sum(noStimIntegral(56:65))*1
neuralComdError_fixedTime = sum(fixedTimeIntegral(56:65))*1
neuralComdError_freeTime = sum(freeTimeIntegral(56:65))*1
neuralComdError_changedWeight = sum(changedWeightIntegral(56:65))*1

jerkInt_noStim = sum(noStimIntegral(66:96))*0.001
jerkInt_fixedTime = sum(fixedTimeIntegral(66:96))*0.001
jerkInt_freeTime = sum(freeTimeIntegral(66:96))*0.001
jerkInt_changedWeight = sum(changedWeightIntegral(66:96))*0.001

apSqDiff_noStim = ((noStimIntegral(97) - noStimIntegral(98))^2)*0.1
apSqDiff_fixedTime = ((fixedTimeIntegral(97) - fixedTimeIntegral(98))^2)*0.1
apSqDiff_freeTime = ((freeTimeIntegral(97) - freeTimeIntegral(98))^2)*0.1
apSqDiff_changedWeight = ((changedWeightIntegral(97) - changedWeightIntegral(98))^2)*0.1


cd(dirOrig);