% Load and compare results from running the time intervals for one muscle
% at a time
tf = 1.6931;
t = 0:0.1:tf;

gasTimeOptCost = zeros(1,17);
gasTimeOptIntegral = cell(1,17);
gasPropulsiveDiff = zeros(1,17);
index = 1;
for iii = 0:0.1:tf
    load(['output_taGasStimOpt_ipopt_v9pt0_',strrep(num2str(iii),'.','p'),'.mat']);
    gasTimeOptCost(index) = output.result.objective;
    gasTimeOptIntegral{index} = output.result.solution.phase.integral;
    gasPropulsiveDiff(index) = gasTimeOptIntegral{index}(97) - gasTimeOptIntegral{index}(98);
    index = index+1;
end

taTimeOptCost = zeros(1,17);
taTimeOptIntegral = cell(1,17);
taPropulsiveDiff = zeros(1,17);
index = 1;
for iii = 0:0.1:tf
    load(['output_taGasStimOpt_ipopt_v7pt4_',strrep(num2str(iii),'.','p'),'.mat']);
    taTimeOptCost(index) = output.result.objective;
    taTimeOptIntegral{index} = output.result.solution.phase.integral;
    taPropulsiveDiff(index) = taTimeOptIntegral{index}(97) - taTimeOptIntegral{index}(98);
    index = index+1;
end

figure;
plot(t,gasTimeOptCost);
title('Gastroc Variation Total Cost');
figure;
plot(t,abs(gasPropulsiveDiff));
title('Gastroc Variation Propulsive Diff');

figure;
plot(t,taTimeOptCost);
title('TA Variation Total Cost');
figure;
plot(t,abs(taPropulsiveDiff));
title('TA Variation Propulsive Diff');

load('output_taGasStimOpt_ipopt_v7pt5.mat');
optCost = output.result.objective
optIntegral = output.result.solution.phase.integral;
optPropulsiveDiff = abs(optIntegral(97) - optIntegral(98))
